> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Deposits

> Retrieve a list of all deposits for a specific subaccount. All deposit requests require approved KYC.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ramp/{subaccountId}/banking/deposits
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/deposits:
    get:
      tags:
        - Deposits
      summary: List All Deposits
      description: >-
        Retrieve a list of all deposits for a specific subaccount. All deposit
        requests require approved KYC.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          type: string
                        amount:
                          type: string
                        localAmount:
                          type: string
                        currency:
                          type: string
                        localCurrency:
                          type: string
                        fee:
                          type: string
                        feeCurrency:
                          type: string
                          nullable: true
                        country:
                          type: string
                        rate:
                          type: string
                        expiresAt:
                          type: string
                          format: date-time
                        createdAt:
                          type: string
                          format: date-time
                        bankInfo:
                          type: object
                          properties:
                            name:
                              type: string
                            qr_code_payload:
                              type: string
                        reference:
                          type: string
                        channelId:
                          type: string
                  count:
                    type: integer
                  page:
                    type: integer
                  limit:
                    type: integer
                  totalPages:
                    type: integer
              example:
                data:
                  - id: 24f1be59-ff0a-4d80-bfc1-46dd6e26fc51
                    status: completed
                    amount: '100.00000000'
                    localAmount: '529.00000000'
                    currency: USD
                    localCurrency: BRL
                    fee: '0.00000000'
                    feeCurrency: null
                    country: BRA
                    rate: '5.2900'
                    expiresAt: '2025-11-20T02:48:23.000Z'
                    createdAt: '2025-11-20T02:45:55.042Z'
                    bankInfo:
                      name: PIX
                      qr_code_payload: >-
                        00020101021226890014br.gov.bcb.pix2567brcode-h.sandbox.starkinfra.com/v2/f9bdab28a91c448cb50fc8857670d0d45204000053039865802BR5908Bullring6015Ciudad
                        de Mexic62070503***63044B88
                    reference: 24f1be59ff0a4d80bfc146dd6e26fc51
                    channelId: brl-channel-id-bullring-finance
                  - id: 50e61499-9ada-4784-b631-afdce55d2a7f
                    status: completed
                    amount: '100.00000000'
                    localAmount: '529.00000000'
                    currency: USD
                    localCurrency: BRL
                    fee: '0.00000000'
                    feeCurrency: null
                    country: BRA
                    rate: '5.2900'
                    expiresAt: '2025-11-20T01:49:35.000Z'
                    createdAt: '2025-11-20T01:47:06.742Z'
                    bankInfo:
                      name: PIX
                      qr_code_payload: >-
                        00020101021226890014br.gov.bcb.pix2567brcode-h.sandbox.starkinfra.com/v2/0eed3f8b1dab40c983405b48478dde9b5204000053039865802BR5908Bullring6015Ciudad
                        de Mexic62070503***63044B88
                    reference: 50e614999ada4784b631afdce55d2a7f
                    channelId: brl-channel-id-bullring-finance
                count: 2
                page: 1
                limit: 20
                totalPages: 1
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Unauthorized
                message: Invalid or missing API key
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Forbidden
                message: You do not have permission to access this resource
        '404':
          description: Not Found - Subaccount not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Not Found
                message: Subaccount not found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````